This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 710441 - (CVE-2011-2216) CVE-2011-2216 Asterisk: Remote DoS (crash) in SIP channel driver (AST-2011-007)
CVE-2011-2216 Asterisk: Remote DoS (crash) in SIP channel driver (AST-2011-007)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110602,reported=20110602,sou...
: Security
Depends On: 710443 710444
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 08:09 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-06 15:44:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-03 08:09:14 EDT
A denial of service flaw was found in the way Asterisk processed malformed
Contact headers in SIP calls. A remote attacker could use this flaw to
cause asterisk server crash via specially-crafted Contact header sent in
a reply upon initialization of a SIP call.

References:
[1] http://packetstormsecurity.org/files/view/101966/AST-2011-007.txt
[2] http://seclists.org/fulldisclosure/2011/Jun/39

Upstream patch (against v1.8.x branch):
[3] http://downloads.asterisk.org/pub/security/AST-2011-007-1.8.diff
Comment 1 Jan Lieskovsky 2011-06-03 08:11:02 EDT
This issue affects the version of the asterisk package, as shipped with
Fedora release of 15 and as present within EPEL-6 repository. Please schedule
and update.

--

This issue did NOT affect the versions of the asterisk package (v1.6.2.17.2
based), as shipped with Fedora release of 13 and 14. Confirmation from
Jonathan Rose of Asterisk upstream follows:

"
This is correct.  Only 1.8 is affected and this is due to a major
overhaul in the sip channel driver to handle URI parsing in a more
generic fashion.  I've tested crash causing exploits against 1.6 and 1.4
and neither were prone to the malformed URI attack."
Comment 2 Jan Lieskovsky 2011-06-03 08:12:43 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-15 [bug 710443]
Affects: epel-6 [bug 710444]

Note You need to log in before you can comment on or make changes to this bug.